hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Akira Ajisaka (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (HADOOP-14683) FileStatus.compareTo binary compat issue between 2.7 and 2.8
Date Thu, 27 Jul 2017 05:28:00 GMT

     [ https://issues.apache.org/jira/browse/HADOOP-14683?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Akira Ajisaka updated HADOOP-14683:
-----------------------------------
    Attachment: HADOOP-14683-branch-2-02.patch

> FileStatus.compareTo binary compat issue between 2.7 and 2.8
> ------------------------------------------------------------
>
>                 Key: HADOOP-14683
>                 URL: https://issues.apache.org/jira/browse/HADOOP-14683
>             Project: Hadoop Common
>          Issue Type: Bug
>    Affects Versions: 2.8.0, 2.8.1
>            Reporter: Sergey Shelukhin
>            Assignee: Akira Ajisaka
>            Priority: Blocker
>         Attachments: HADOOP-14683-branch-2-01.patch, HADOOP-14683-branch-2-02.patch
>
>
> See HIVE-17133. Looks like the signature change is causing issues; according to [~jnp]
this is a public API.
> Is it possible to add the old overload back (keeping the new one presumably) in a point
release on 2.8? That way we can avoid creating yet another shim for this in Hive.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

---------------------------------------------------------------------
To unsubscribe, e-mail: common-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: common-issues-help@hadoop.apache.org


Mime
View raw message